<?php

date_default_timezone_set("America/Sao_Paulo");

require __DIR__."/vendor/autoload.php";
require __DIR__."/vendor/zeedhi/framework/bootstrap.php";
require __DIR__."/vendor/teknisa/libraries-next/scripts/bootstrap.php";

$instanceManager = \Zeedhi\Framework\DependencyInjection\InstanceManager::getInstance();

$parameters  = __DIR__."/../../../backend/config/parameters.xml";
$general  = __DIR__."/../../../backend/config/general.xml";
$base  = __DIR__."/../../../backend/config/base.xml";
$environment  = __DIR__."/../../../backend/config/environment.xml";
$db  = __DIR__."/../../../backend/config/db.xml";

if (realpath($parameters)) $instanceManager->loadFromFile($parameters);
if (realpath($general)) $instanceManager->loadFromFile($general);
if (realpath($base)) $instanceManager->loadFromFile($base);
if (realpath($environment)) $instanceManager->loadFromFile($environment);
if (realpath($db)) $instanceManager->loadFromFile($db);

$instanceManager->loadFromFile(__DIR__."/config/environment.xml");
$instanceManager->loadFromFile(__DIR__."/config/parameters.xml");

$instanceManager->loadFromFile(__DIR__."/config/controllers.xml");
$instanceManager->loadFromFile(__DIR__."/config/services.xml");
$instanceManager->loadFromFile(__DIR__."/config/factories.xml");

$routes = array();
$routes[] = __DIR__ . "/vendor/teknisa/libraries-next/libRoutes.json";
$routes[] = __DIR__. '/config/routes.json';

$instanceManager->registerService('routeParser', new \Zeedhi\Framework\Routing\Parsers\JSONFormat($routes));
$instanceManager->compile();
